> ## Documentation Index
> Fetch the complete documentation index at: https://docs.strideagents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Call

> Initiate an AI-powered outbound phone call. Requires API key authentication via Authorization: Bearer or X-API-Key header.



## OpenAPI

````yaml POST /call
openapi: 3.1.0
info:
  title: Stride Agents API
  description: >

    Build and deploy AI voice agents that can make and receive phone calls with
    natural conversation.


    ## Authentication


    All endpoints require an API key passed via the `Authorization` header:


    ```

    Authorization: Bearer sk_your_api_key

    ```


    ## Resources


    - **Agents** — Create and configure AI voice agents

    - **Calls** — Initiate, monitor, and manage voice calls

    - **Phone Numbers** — Manage phone numbers and routing

    - **Tools** — Define function calling tools for agents

    - **Knowledge Bases** — Upload documents for RAG-powered conversations

    - **Voices** — Browse available TTS voices
  version: 1.0.0
servers:
  - url: /v1
security: []
paths:
  /call:
    post:
      tags:
        - Calls
      summary: Create an outbound call
      description: >-
        Initiate an AI-powered outbound phone call. Requires API key
        authentication via Authorization: Bearer or X-API-Key header.
      operationId: create_call_call_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCallRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateCallResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    CreateCallRequest:
      properties:
        agent_id:
          type: string
          format: uuid
          title: Agent Id
          description: ID of the agent to use for this call
        phone_number_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Phone Number Id
          description: >-
            ID of the phone_numbers record to call from (alternative to
            from_number)
        from_number:
          anyOf:
            - type: string
            - type: 'null'
          title: From Number
          description: E.164 phone number to call from (alternative to phone_number_id)
        customer:
          $ref: '#/components/schemas/CustomerInfo'
        agent_overrides:
          anyOf:
            - $ref: '#/components/schemas/AgentOverrides'
            - type: 'null'
          description: Override agent settings for this specific call
      type: object
      required:
        - agent_id
        - customer
      title: CreateCallRequest
      description: |-
        Create an outbound AI call.

        Similar to VAPI's POST /call endpoint. Requires an agent_id and customer
        phone number. Optionally override agent settings for this specific call.
    CreateCallResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Stride call ID
        status:
          type: string
          title: Status
        provider_call_sid:
          type: string
          title: Provider Call Sid
          description: Twilio call SID
        phone_number:
          type: string
          title: Phone Number
          description: Customer number dialed
        agent_id:
          type: string
          format: uuid
          title: Agent Id
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Id
        message:
          type: string
          title: Message
      type: object
      required:
        - id
        - status
        - provider_call_sid
        - phone_number
        - agent_id
        - message
      title: CreateCallResponse
      description: Response from creating an outbound call.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CustomerInfo:
      properties:
        number:
          type: string
          pattern: ^\+[1-9]\d{1,14}$
          title: Number
          description: Phone number in E.164 format (e.g. +15558675309)
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Customer display name
      type: object
      required:
        - number
      title: CustomerInfo
      description: The person being called.
    AgentOverrides:
      properties:
        system_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: System Prompt
        first_message:
          anyOf:
            - type: string
            - type: 'null'
          title: First Message
        variable_values:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Variable Values
          description: Template variables for {{variable}} substitution in system prompt
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          description: Custom metadata attached to the call record
        voice:
          anyOf:
            - $ref: '#/components/schemas/VoiceOverride'
            - type: 'null'
        voicemail_detection:
          anyOf:
            - $ref: '#/components/schemas/VoicemailDetectionOverride'
            - type: 'null'
        analysis_plan:
          anyOf:
            - $ref: '#/components/schemas/AnalysisPlanOverride'
            - type: 'null'
        model_provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Provider
        model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Name
        temperature:
          anyOf:
            - type: number
              maximum: 2
              minimum: 0
            - type: 'null'
          title: Temperature
        max_tokens:
          anyOf:
            - type: integer
              maximum: 4000
              minimum: 1
            - type: 'null'
          title: Max Tokens
        max_duration:
          anyOf:
            - type: integer
              maximum: 43200
              minimum: 10
            - type: 'null'
          title: Max Duration
          description: Max call duration in seconds
      type: object
      title: AgentOverrides
      description: Override agent settings for this specific call.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    VoiceOverride:
      properties:
        voice_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Voice Id
        voice_provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Voice Provider
        voice_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Voice Model
        voice_speed:
          anyOf:
            - type: number
              maximum: 2
              minimum: 0.5
            - type: 'null'
          title: Voice Speed
        voice_stability:
          anyOf:
            - type: number
              maximum: 1
              minimum: 0
            - type: 'null'
          title: Voice Stability
        voice_similarity:
          anyOf:
            - type: number
              maximum: 1
              minimum: 0
            - type: 'null'
          title: Voice Similarity
      type: object
      title: VoiceOverride
      description: Override voice/TTS settings for this call.
    VoicemailDetectionOverride:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: true
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
          description: '''twilio'' or ''off'''
          default: twilio
        machine_detection_timeout:
          type: integer
          maximum: 60
          minimum: 1
          title: Machine Detection Timeout
          default: 30
        machine_detection_speech_threshold:
          type: integer
          maximum: 6000
          minimum: 1000
          title: Machine Detection Speech Threshold
          default: 2400
        machine_detection_speech_end_threshold:
          type: integer
          maximum: 5000
          minimum: 500
          title: Machine Detection Speech End Threshold
          default: 1200
        machine_detection_silence_timeout:
          type: integer
          maximum: 10000
          minimum: 2000
          title: Machine Detection Silence Timeout
          default: 5000
      type: object
      title: VoicemailDetectionOverride
      description: Override voicemail detection settings for this call.
    AnalysisPlanOverride:
      properties:
        structured_data_plan:
          anyOf:
            - $ref: '#/components/schemas/StructuredDataPlan'
            - type: 'null'
        summary_plan:
          anyOf:
            - $ref: '#/components/schemas/SummaryPlan'
            - type: 'null'
        success_evaluation_plan:
          anyOf:
            - $ref: '#/components/schemas/SuccessEvaluationPlan'
            - type: 'null'
      type: object
      title: AnalysisPlanOverride
      description: Override post-call analysis settings.
    StructuredDataPlan:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: false
        prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt
        schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Schema
      type: object
      title: StructuredDataPlan
      description: Configure post-call structured data extraction.
    SummaryPlan:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: false
      type: object
      title: SummaryPlan
      description: Configure post-call summary generation.
    SuccessEvaluationPlan:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: false
      type: object
      title: SuccessEvaluationPlan
      description: Configure post-call success evaluation.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````